Subject: Re: [Emu] A review Re: [Nea] I-D Action: draft-ietf-nea-pt-eap-02.txt

From: "Nancy Cam-Winget (ncamwing)" <[email-masked]>
Date: Sun, 15 Jul 2012 03:34:55 +0000

Hi Sujing,

I am just getting to update the draft based on received comments.  I have further
comments and questions below:

From: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, June 6, 2012 2:18 AM
To: Joseph Salowey <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [Emu] A review Re: [Nea] I-D Action: draft-ietf-nea-pt-eap-02.txt

Section 1
"The other type of  PT, PT-TLS [I-D.ietf-nea-pt-tls], operates before the endpoint gains
   any access to the IP network. "
==>should be "after the endpoint have gained access to the IP network"
[NCW] Thank you for catching this!  I have updated the draft accordingly.

"PT-EAP is an inner EAP [RFC3748] method designed to be used under a
   protected tunnel such as TEAP [I-D.ietf-emu-eap-tunnel-method], EAP-
   FAST [RFC4851] or EAP-TTLS [RFC5281]."
==>PEAP is more widely supported.
[NCW] Agreed.  But the list is not meant to be exhaustive and admittedly
it was easier to cite used methods for which there are IETF RFC's….as well
as what EMU is adopting.

"Finally, it describes how the  tls-unique channel binding [RFC5929] may be used to PA-TNC exchanges
   to the EAP tunnel method, defeating MITM attacks such as the Asokan  attack [Asokan]."
==>

"Some EAP tunnel methods may provide explicit confirmation of inner method success; others may not. "
[NCW] I am not sure I understand the comment or request.  The above sentence is true; in
PT-EAP's case, as it is not an authenticating method, we describe how tls-unique is used
in PT-EAP to address such binding.  So, the sentence stands on its own as it is reference
further details to follow.

section 3.4 " Attack Analysis [16], " the reference [16]
[NCW] Fixed the reference (thanks!)

section 4.2.3
"The strong integrity protections (hashing) offered by EAP-TTLS allows the
   PT-EAP message recipients to detect message alterations by other
   types of network based adversaries. "
===>it is not hashing offering the integrity, but MAC
[NCW] Right, text updated to read "hashing in the MAC" also made the reference general
As it is provided by the EAP TLS based tunnel

section 4.2.4
" the  session can be encrypted and hashed to prevent undetected
   modification that could create a denial of service situation.
"
===> only MAC, not encryption and hashing can prevent modification
[NCW] In general true, but some modes do both authenticated-encryption
so the reference to both should apply.

section 4.3
  "The phase two dialog may include authentication of the user by doing
   other EAP methods or in the case of TTLS by using non-EAP
   authentication dialogs.  PT-EAP is also carried by the phase two
   tunnel allowing the NEA assessment to be within an encrypted and
   integrity protected transport."
==> TTLS can also use EAP method as inner method.
[NCW] I've clarified that sentence

"These inner methods may perform additional security handshakes including more
   granular authentications or exchanges of integrity information (such
   as PT-EAP.)  "
===> IMO，PT-EAP better be exchanged after the phase two of the EAP tunnel method, so that
 the resulted key derived from tunnel and inner authentication method can be used to protect it.
[NCW] Do you mean to enforce an authentication (inner) method prior to PT-EAP?

section 5
  "To support countermeasures against NEA Asokan attacks as described in
   Section 3.4, the EAP Tunnel Method used with PT-EAP will need to
   support the tls-unique channel binding.  This should not be a high
   bar since all EAP tunnel methods currently support this but not all
   implementations of those methods may do so."
====> It seem no current EAP tunnel support tls-unique now.
  And Asokan MitM attack is countered by crypto binding, where tunnel method is bound with inner method.
  While TLS-unique is limited to the tunnel method to provide binding between TLS and application, I wonder
  if there is some confusion in the document.
[NCW] tls-unique is something that will need to be added to those methods that use an EMA….the binding
Is done by having the tls-unique value passed to the EMA for validation.  It is specified in section 3.4.

Regards~~~

-Sujing Zhou

Joe Salowey <[email-masked]<mailto:[email-masked]>>
发件人:  [email-masked]<mailto:[email-masked]>

2012-06-06 02:05

收件人
        [email-masked]<mailto:[email-masked]>
抄送

主题
        Re: [Emu] [Nea] I-D Action: draft-ietf-nea-pt-eap-02.txt

June 4 has come and gone and we haven't received any comments.  If you have reviewed the document and not found any issues please indicate that on the list.  I'll leave the review open until 6/12.  If you can commit to review the document, please let me know.

Thanks,

Joe
On May 21, 2012, at 2:01 PM, Joe Salowey wrote:

> The NEA working group has produced a draft for carrying NEA posture methods within EAP.  It would be helpful if some EMU working group members reviewed the draft.   Please send your comments to the EMU list by June 4, 2012.
>
> Thanks,
>
> Joe
>
> Begin forwarded message:
>
>> From: [email-masked]<mailto:[email-masked]>
>> Date: May 15, 2012 8:36:14 AM PDT
>> To: [email-masked]<mailto:[email-masked]>
>> Cc: [email-masked]<mailto:[email-masked]>
>> Subject: [Nea] I-D Action: draft-ietf-nea-pt-eap-02.txt
>>
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the Network Endpoint Assessment Working Group of the IETF.
>>
>>                  Title           : PT-EAP: Posture Transport (PT) Protocol For EAP Tunnel Methods
>>                  Author(s)       : Nancy Cam-Winget
>>                         Paul Sangster
>>                  Filename        : draft-ietf-nea-pt-eap-02.txt
>>                  Pages           : 20
>>                  Date            : 2012-05-15
>>
>>  This document specifies PT-EAP, an EAP based Posture Transport (PT)
>>  protocol designed to be used only inside a TLS protected tunnel
>>  method.  The document also describes the intended applicability of
>>  PT-EAP.
>>
>>
>> A URL for this Internet-Draft is:
>> http://www.ietf.org/internet-drafts/draft-ietf-nea-pt-eap-02.txt
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>> This Internet-Draft can be retrieved at:
>> ftp://ftp.ietf.org/internet-drafts/draft-ietf-nea-pt-eap-02.txt
>>
>> The IETF datatracker page for this Internet-Draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-nea-pt-eap/
>>
>> _______________________________________________
>> Nea mailing list
>> [email-masked]<mailto:[email-masked]>
>> https://www.ietf.org/mailman/listinfo/nea
>
> _______________________________________________
> Emu mailing list
> [email-masked]<mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/emu

_______________________________________________
Emu mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/emu

---

From: [email-masked]
Date: Mon, 16 Jul 2012 14:42:18 +0800

Hi, Nancy,

"Nancy Cam-Winget (ncamwing)" <[email-masked]> 写于 2012-07-15 
 
>    to the EAP tunnel method, defeating MITM attacks such as the 

The sentence is excerpt from the draft-ietf-nea-pt-eap-02,
I wrote it down but forgot to write the comment.
I was a bit confused by the solution to Asokan attack, because I　found 
two solutions  in two different places in the draft :
1. tls-unique 2.crypto binding 

> further details to follow.
This sentence is also excerpt from the draft-ietf-nea-pt-eap-02,
again  I forgot to write the comment :) .

I don't see how current tunnel method provide explicit confirmation of 
inner method success.
If it refers to the mixture of tunnel method key and inner method key, 
yes, there are some tunnel methods do this mixture (to against MITM attack 
) and some do not do,
but  those tunnel method that do not mix the keys are not recommended to 
use Ｉ believe. 

> [NCW] Do you mean to enforce an authentication (inner) method prior to 
PT-EAP?

Yes. It seems to me that PT-EAP is an inner method provinding plain 
message transportation, not authentication.
And EAP tunnel method is seldom used alone, becauce its purpose is to 
protect the inner authentication method, and only server authentication is 
provided in implemementation.
so, I doubt the security of PT-EAP message transimitted in the EAP Tunnel 
method without another inner authentication method. 
Maybe in this case, mutual authentication could be enforced in EAP tunnel 
method, so that no inner authentication methods are needed. 

-Sujing Zhou